---
lang: en
title: 'API docs: graphql.loopbackcontainer._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.loopbackcontainer._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [LoopBackContainer](./graphql.loopbackcontainer.md) &gt; [(constructor)](./graphql.loopbackcontainer._constructor_.md)

## LoopBackContainer.(constructor)

Constructs a new instance of the `LoopBackContainer` class

**Signature:**

```typescript
constructor(ctx: Context);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  ctx | [Context](./context.context.md) |  |


